FUNCTION::FP_TO_LONG(3stap)

NAME
function::fp_to_long - Convert fp to int64

SYNOPSIS

    fp_to_long:long(infp:long,roundingMode:long,exact:long)

ARGUMENTS

infp
    the 64 bit floating point stored in long

roundingMode
    through 0-6, which are round to nearest even, minMag, min, max, near maxMag and round to odd

exact
    the boolean value, if exact is 1 than raising inexact exception, otherwise ignore the exception.

DESCRIPTION

Given a 64 bit floating point, which is stored in long, use the long value to initiate self-defined float64_t type, then apply the f64_to_i64 function to get the string representation.

SEE ALSO
tapset::floatingpoint(3stap)